# mongoc_read_concern_t

## Read Concern abstraction

## Synopsis

New in MongoDB 3.2 and mongoc 1.3.0

The mongoc_read_concern_t allows clients to choose a level of isolation for their reads. The default, MONGOC_READ_CONCERN_LEVEL_LOCAL, is right for the great majority of applications.

You can specify a read concern on connection objects, database objects, or collection objects.

See readConcern on the MongoDB website for more information.

Read Concern is only sent to MongoDB when it has explicitly been set by mongoc_read_concern_set_level to anything other then empty string.

## Read Concern Levels

MONGOC_READ_CONCERN_LEVEL_LOCAL ("local") | Default. The query will return the node’s most recent copy of data. Provides no guarantee that the data has been written to a majority of the nodes.
MONGOC_READ_CONCERN_LEVEL_MAJORITY ("majority") | The query will return the node’s most recent copy of the data confirmed as having been written to a majority of the nodes.